/* <<< Start of information >>>                                             */
/* This file is part of the xcolmix package.                                */
/* Copyright (C) 1996  Karel Kubat. All rights reserved.                    */
/*                                                                          */
/* This program is free software; you can redistribute it and/or modify it  */
/* under the terms of the GNU General Public License as published by the    */
/* Free Software Foundation; either version 2 of the License, or (at your   */
/* option) any later version.                                               */
/*                                                                          */
/* You may link this software with XForms (Copyright (C) by T.C. Zhao and   */
/* Mark Overmars) and distribute the resulting binary, under the            */
/* restrictions in clause 3 of the GPL, even though the resulting binary is */
/* not, as a whole, covered by the GPL. (You still need a separate license  */
/* to do so from the owner(s) of the copyright for XForms, however).  If a  */
/* derivative no longer requires XForms, you may use the unsupplemented GPL */
/* as its license by deleting this paragraph and therefore removing this    */
/* exemption for XForms.                                                    */
/*                                                                          */
/* This program is distributed in the hope that it will be useful,          */
/* but WITHOUT ANY WARRANTY; without even the implied warranty of           */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            */
/* GNU General Public License for more details.                             */
/*                                                                          */
/* You should have received a copy of the GNU General Public License        */
/* along with this program; if not, write to the Free Software              */
/* Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA */
/* <<< End of information >>>                                               */

#include "xcolmix.h"

/* global vars */

/* --------------
FL_FORM
    *colormixer,
    *lookup;
FL_OBJECT
    *red_slider,
    *green_slider,
    *blue_slider,
    *logo,
    *foreground_button,
    *background_button;
no longer needed, now in design.h --------------- */

int
    fg_red = 0, fg_green = 0, fg_blue = 0,
    bg_red = 255, bg_green = 255, bg_blue = 255,
    foreground_selected = 0,
    lookup_on_screen = 0;
char
    *rgbfile = "/usr/lib/X11/rgb.txt";

void main (int argc, char **argv)
{
    /* initialize XForms */
    fl_initialize (&argc, argv, "XColmix", 0, 0);

    /* check arguments */
    if (argc > 2)
	usage ();
    else if (argc == 2)
    {
	if (access (argv [1], R_OK))
	    usage ();
	rgbfile = argv [1];
    }

    initforms ();
    
    fl_show_form (colormixer, FL_PLACE_CENTER, FL_FULLBORDER,
		  "Color Mixer");
    fl_do_forms ();

    /* not reached */
}
